Bug 984356 - [abrt] yum-3.4.3-54.fc18: re.py:242:_compile:error: bad character range
[abrt] yum-3.4.3-54.fc18: re.py:242:_compile:error: bad character range
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:cbc7f197111276880403a21e55f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 00:19 EDT by Edgar Civil
Modified: 2013-07-19 03:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: yum-3.4.3-101.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 01:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2013-07-15 00:19 EDT, Edgar Civil
no flags Details
File: core_backtrace (797 bytes, text/plain)
2013-07-15 00:20 EDT, Edgar Civil
no flags Details
File: environ (1.95 KB, text/plain)
2013-07-15 00:21 EDT, Edgar Civil
no flags Details

  None (edit)
Description Edgar Civil 2013-07-15 00:19:39 EDT
Version-Release number of selected component:
yum-3.4.3-54.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /bin/yum --disablerepo=[rpmfusion-free] install cairo-dock
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /bin/yum
kernel:         3.9.9-201.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
re.py:242:_compile:error: bad character range

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 115, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 287, in getOptionsConfig
    (opts, self.cmds) = self.optparser.setupYumConfig(args=args)
  File "/usr/share/yum-cli/cli.py", line 2155, in setupYumConfig
    self.base.repos.disableRepo(repoexp)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 206, in disableRepo
    for repo in self.findRepos(repoid):
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 192, in findRepos
    match = re.compile(fnmatch.translate(item)).match
  File "/usr/lib64/python2.7/re.py", line 190, in compile
    return _compile(pattern, flags)
  File "/usr/lib64/python2.7/re.py", line 242, in _compile
    raise error, v # invalid expression
error: bad character range

Local variables in innermost frame:
cachekey: (<type 'str'>, '[rpmfusion-free]\\Z(?ms)', 0)
pattern: '[rpmfusion-free]\\Z(?ms)'
p: None
flags: 0
key: ('[rpmfusion-free]\\Z(?ms)', 0)
v: error('bad character range',)

Potential duplicate: bug 866083
Comment 1 Edgar Civil 2013-07-15 00:19:56 EDT
Created attachment 773529 [details]
File: backtrace
Comment 2 Edgar Civil 2013-07-15 00:20:57 EDT
Created attachment 773530 [details]
File: core_backtrace
Comment 3 Edgar Civil 2013-07-15 00:21:02 EDT
Created attachment 773531 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-07-15 04:05:32 EDT
Fixed upstream. Thanks!
Comment 5 Fedora Update System 2013-07-16 06:14:39 EDT
yum-3.4.3-101.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-101.fc19
Comment 6 Fedora Update System 2013-07-16 23:11:06 EDT
Package yum-3.4.3-101.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-101.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13102/yum-3.4.3-101.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-18 01:45:06 EDT
yum-3.4.3-101.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Edgar Civil 2013-07-18 18:16:45 EDT
Ok... thank for all...

Regards...


(In reply to Fedora Update System from comment #7)
> yum-3.4.3-101.fc19 has been pushed to the Fedora 19 stable repository.  If
> problems still persist, please make note of it in this bug report.
Comment 9 Zdeněk Pavlas 2013-07-19 03:35:52 EDT
Just a note: the square brackets around repository id are required by iniparser, and should appear in the *.repo files only..  To disable foo, just --disablerepo=foo, not --disablerepo=[foo]

Note You need to log in before you can comment on or make changes to this bug.